Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ejb.report
Class BatchReportGeneratorImpl

    java.lang.Object
      com.sun.mdm.index.ejb.report.BatchReportGeneratorImpl

public class BatchReportGeneratorImpl
extends java.lang.Object

Stateful Session bean for batch reports

Field Summary
`(package private) static java.lang.String` | `DATEFORMAT`
`(package private) static java.lang.String` | `DBDATEFORMAT`

Constructor Summary
`BatchReportGeneratorImpl()` Creates a new instance of ReportGeneratorImpl

Method Summary
`AssumedMatchReport` | `execAssumedMatchReport(AssumedMatchReportConfig config, java.sql.Connection conn)` Execute the assumed match report
`DeactivateReport` | `execDeactivateReport(DeactivateReportConfig config, java.sql.Connection conn)` Execute the deactivate report
`MergeReport` | `execMergeReport(MergeReportConfig config, java.sql.Connection conn)` Execute the merge report
`KeyStatisticsReport` | `execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config, java.sql.Connection conn)` Execute the monthly key statistics report
`PotentialDuplicateReport` | `execPotentialDuplicateReport(PotentialDuplicateReportConfig config, java.sql.Connection conn)` Execute the potential duplicate report
`UnmergeReport` | `execUnmergeReport(UnmergeReportConfig config, java.sql.Connection conn)` Execute the unmerge report
`UpdateReport` | `execUpdateReport(UpdateReportConfig config, java.sql.Connection conn)` Execute the update report
`KeyStatisticsReport` | `execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config, java.sql.Connection conn)` Execute the weekly key statistics report
`KeyStatisticsReport` | `execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config, java.sql.Connection conn)` Execute the yearly key statistics report
`AssumedMatchReport` | `getNextAssumedMatchRecords()` To get the Assumed Match records page wise
`DeactivateReport` | `getNextDeactivateRecords()` Execute the deactivate report
`MergeReport` | `getNextMergeRecords()` To get the Assumed Match records page wise
`PotentialDuplicateReport` | `getNextPotDupRecords()` To get the range of Potential Duplicate records
`UnmergeReport` | `getNextUnmergeRecords()` To get the UnmergeReport records page wise
`UpdateReport` | `getNextUpdateRecords()` Get the next part of the Update Report

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATEFORMAT

    static final java.lang.String DATEFORMAT

See Also:
  Constant Field Values

### DBDATEFORMAT

    static final java.lang.String DBDATEFORMAT

See Also:
  Constant Field Values

Constructor Detail

### BatchReportGeneratorImpl

    public BatchReportGeneratorImpl()

  Creates a new instance of ReportGeneratorImpl

Method Detail

### execAssumedMatchReport

    public AssumedMatchReport execAssumedMatchReport(AssumedMatchReportConfig config,
                                                     java.sql.Connection conn)
                                              throws ReportException

  Execute the assumed match report

  Parameters:
    `config` - assumed match report configuration
    `conn` - Database connection
  Returns:
    AssumedMatchReport assumed match report
  Throws:
    `ReportException` - an error occured

### execDeactivateReport

    public DeactivateReport execDeactivateReport(DeactivateReportConfig config,
                                                 java.sql.Connection conn)
                                          throws ReportException

  Execute the deactivate report

  Parameters:
    `config` - Deactivate Report Configuration
    `conn` - Database connection
  Returns:
    Deactivate Report
  Throws:
    `ReportException` - an error occured

### execMergeReport

    public MergeReport execMergeReport(MergeReportConfig config,
                                       java.sql.Connection conn)
                                throws ReportException

  Execute the merge report

  Parameters:
    `config` - merge report configuration
    `conn` - database connection
  Returns:
    merge Report
  Throws:
    `ReportException` - an error occured

### execMonthlyKeyStatisticsReport

    public KeyStatisticsReport execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config,
                                                              java.sql.Connection conn)
                                                       throws ReportException

  Execute the monthly key statistics report

  Parameters:
    `config` - Key Statistics Report Configuration
    `conn` - Database connection
  Returns:
    Monthly key statistics report
  Throws:
    `ReportException` - an error occured

### execPotentialDuplicateReport

    public PotentialDuplicateReport execPotentialDuplicateReport(PotentialDuplicateReportConfig config,
                                                                 java.sql.Connection conn)
                                                          throws ReportException

  Execute the potential duplicate report

  Parameters:
    `config` - potential duplicate report configuration
    `conn` - Database connection
  Returns:
    potential duplicate report
  Throws:
    `ReportException` - an error occured

### execUnmergeReport

    public UnmergeReport execUnmergeReport(UnmergeReportConfig config,
                                           java.sql.Connection conn)
                                    throws ReportException

  Execute the unmerge report

  Parameters:
    `config` - Unmerge Report Configuration
    `conn` - Database connection
  Returns:
    Unmerge Report
  Throws:
    `ReportException` - an error occured

### execUpdateReport

    public UpdateReport execUpdateReport(UpdateReportConfig config,
                                         java.sql.Connection conn)
                                  throws ReportException

  Execute the update report

  Parameters:
    `config` - Update Report Configuration
    `conn` - Database connection
  Returns:
    update Report
  Throws:
    `ReportException` - an error occured

### execWeeklyKeyStatisticsReport

    public KeyStatisticsReport execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config,
                                                             java.sql.Connection conn)
                                                      throws ReportException

  Execute the weekly key statistics report

  Parameters:
    `config` - Key Statistics Report Configuration
    `conn` - Database connection
  Returns:
    Weekly key statistics report
  Throws:
    `ReportException` - an error occured

### execYearlyKeyStatisticsReport

    public KeyStatisticsReport execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config,
                                                             java.sql.Connection conn)
                                                      throws ReportException

  Execute the yearly key statistics report

  Parameters:
    `config` - Key Statistics Report Configuration
    `conn` - Database connection
  Returns:
    Yearly key statistics report
  Throws:
    `ReportException` - an error occured

### getNextAssumedMatchRecords

    public AssumedMatchReport getNextAssumedMatchRecords()
                                                  throws ReportException

  To get the Assumed Match records page wise

  Returns:
    Next Assumed Match Records
  Throws:
    `ReportException` - an error occured

### getNextDeactivateRecords

    public DeactivateReport getNextDeactivateRecords()
                                              throws ReportException

  Execute the deactivate report

  Returns:
    Next Deactivate Records
  Throws:
    `ReportException` - an error occured

### getNextMergeRecords

    public MergeReport getNextMergeRecords()
                                    throws ReportException

  To get the Assumed Match records page wise

  Returns:
    Next Merge Records
  Throws:
    `ReportException` - an error occured

### getNextPotDupRecords

    public PotentialDuplicateReport getNextPotDupRecords()
                                                  throws ReportException

  To get the range of Potential Duplicate records

  Returns:
    PotentialDuplicateReport - Returns the object of next potential duplicate records
  Throws:
    `ReportException` - an error occured

### getNextUnmergeRecords

    public UnmergeReport getNextUnmergeRecords()
                                        throws ReportException

  To get the UnmergeReport records page wise

  Returns:
    Next Unmerge Records
  Throws:
    `ReportException` - an error occured

### getNextUpdateRecords

    public UpdateReport getNextUpdateRecords()
                                      throws ReportException

  Get the next part of the Update Report

  Returns:
    Next Update Records
  Throws:
    `ReportException` - an error occured

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.